Detail of CDN Resource
Gethttps://api.cdn77.com/v3/cdn/{id}Request parameters
idinteger in pathrequired
Responses
Detail of the given CDN Resource returned.
Response parameters
idintegerID of the CDN Resource. This is also used as the CDN Resource URL.
cnamesarray of objectsAll CNAMEs should be mapped via DNS to CDN URL. Otherwise it's not possible to generate SSL certificate. Maximum number of CNAMEs is "10". To add more, contact our support.
creation_timestring, format date-timeTimestamp when CDN Resource was created.
labelstringThe label helps you to identify your CDN Resource.
notestringOptional note for the CDN Resource.
origin_idstringID of attached Origin (content source for CDN Resource). More information in our Origin API documentation.
origin_referenceobjecturlstringURL of the CDN Resource. Automatically generated when the CDN Resource is created. The number is the same as the CDN Resource ID.
cacheobjectYour files will remain cached for the specified duration, after which your origin will be checked for an updated version of your files. Expiry/cache-control headers override this setting.
secure_tokenobjectThis feature allows you to serve your content using signed URLs. You can enable your users to download secured content from the CDN Resource with a valid hash. Note: When you check this option, make sure to generate secured links to access your content. Maximum length is 64 characters.
query_stringobjectEnabling this feature will ignore the query string, allowing URLs with query strings to cache properly. This is particularly useful if you tag your URLs with tracking/marketing parameters, for example.
headersobjecthttps_redirectobjectIf enabled, all requests via HTTP are redirected to HTTPS. Verify HTTPS availability of CNAMEs before activating, if applicable.
mp4_pseudo_streamingobjectTurn this option on if using a flash-based video player with MP4 files. Pseudo-streaming is used mainly in flash players. HTML5 players use range-requests. When enabled the "query_string" option must be set to ignore all parameters.
sslobjectstreamobjectDetail parameters of stream CDN Resource.
hotlink_protectionobjectHotlink protection enables you to control which hostnames/domains can link to and access your content directly.
ip_protectionobjectIP protection enables you to control which networks can access your content directly.
geo_protectionobjectGeo protection enables you to control which countries can access your content directly.
rate_limitobjectWhen enabled, this feature limits the data transfer rate by setting "limit_rate" based on the "rs" URL parameter and "limit_rate_after" by the value from the "ri" URL parameter.
origin_headersobject
{
"id": 1234567890,
"cnames": [
{
"id": "9880280c-0507-46d1-88f3-71cfee83fa57",
"cname": "cname.your-domain.com"
}
],
"creation_time": "2027-07-07T00:00:00.000Z",
"label": "My cdn",
"note": "Note for my CDN",
"origin_id": "e56564d1-8d3e-4457-93a6-082b054bc736",
"origin_reference": {
"id": "e56564d1-8d3e-4457-93a6-082b054bc736",
"label": "MISSING EXAMPLE",
"fallbacks": [
{
"id": "e56564d1-8d3e-4457-93a6-082b054bc736",
"label": "MISSING EXAMPLE"
}
]
},
"url": "1234567890.rsc.cdn77.org",
"cache": {
"max_age": 1440,
"max_age_404": 1,
"requests_with_cookies_enabled": false
},
"secure_token": {
"token": "2Xod4tW8Ln4BDg23",
"type": "parameter"
},
"query_string": {
"parameters": [
"utm"
],
"ignore_type": "all"
},
"headers": {
"cors_enabled": true,
"cors_timing_enabled": false,
"cors_wildcard_enabled": false,
"host_header_forwarding_enabled": false,
"content_disposition": {
"type": "parameter"
}
},
"https_redirect": {
"code": 301,
"enabled": false
},
"mp4_pseudo_streaming": {
"enabled": false
},
"ssl": {
"type": "SNI",
"ssl_id": "9880280c-0507-46d1-88f3-71cfee83fa57"
},
"stream": {
"origin_url": "prg-1.s.cdn77.com",
"password": "P4ssw0rd123456",
"query_key": "123456789",
"protocol": "rtmp",
"port": 1936,
"path": "static"
},
"hotlink_protection": {
"domains": [
"some-domain.com"
],
"type": "passlist",
"empty_referer_denied": true
},
"ip_protection": {
"ips": [
"8.8.8.8"
],
"type": "passlist"
},
"geo_protection": {
"countries": [
"UK"
],
"type": "passlist"
},
"rate_limit": {
"enabled": false
},
"origin_headers": {
"custom": {
"additionalProp1": "default-src 'self' *.example.com; img-src *",
"additionalProp2": "default-src 'self' *.example.com; img-src *",
"additionalProp3": "default-src 'self' *.example.com; img-src *"
}
}
}